#
# AC_DIR_ALTDIR - locate the /etc/alternatives directory,
# which contains the symlinks for the alternatives 
# system.  Defines the directory as ALTDIR, which is substituted 
# in the output files.
#
AC_DEFUN([AC_DIR_ALTDIR],
[
  AC_MSG_CHECKING([for location of /etc/alternatives directory])

  AC_ARG_WITH(altdir,
	[  --with-altdir=PATH    absolute path of /etc/alternatives directory])

  # default to /etc/alternatives
  ALTDIR=/etc/alternatives
  test -z "$with_altdir" || ALTDIR=$with_altdir
  
  AC_MSG_RESULT($ALTDIR)
  AC_SUBST(ALTDIR)dnl
])

