#
# AC_DIR_INIT - locate the /etc/rc.d directory, which contains
# the init.d directory.  Defines the directory
# as INIT_DIR, which is substituted in the output files.
#
AC_DEFUN([AC_DIR_INIT],
[
  AC_MSG_CHECKING([for location of init.d directory])

  AC_ARG_WITH(init-dir,
        [  --with-init-dir=PATH    absolute path of init.d directory])

  # default to /etc/rc.d
  INIT_DIR=/etc/rc.d/init.d
  # list dirs in reverse order of preference
  for a in /sbin /etc /etc/rc.d ; do
        if (test -d $a/init.d); then
                INIT_DIR="$a/init.d";
        fi
  done
  test -z "$with_init_dir" || INIT_DIR=$with_init_dir
  
  AC_MSG_RESULT($INIT_DIR)
  AC_SUBST(INIT_DIR)dnl
])

